vpSetClientData(3)

NAME
vpSetClientData - define a client data pointer

SYNOPSIS
#include <volpack.h>

vpSetClientData(vpc, client_data) vpContext *vpc; void *client_data;

ARGUMENTS

vpc VolPack context from vpCreateContext.

client_data
    Pointer to application-specific client data.

DESCRIPTION
vpSetClientData is used to store a pointer to application-specific client data in the VolPack context. This pointer is passed to some of the callback routines (see vpSetCallback(3)) to allow the application to define its own state variables. The pointer is not used by VolPack.

ERRORS
The return value is always VP_OK.

SEE ALSO
VolPack(3), vpCreateContext(3), vpSetCallback(3)